summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Cloos <cloos@jhcloos.com>2014-04-12 11:26:00 -0400
committerJames Cloos <cloos@jhcloos.com>2014-04-12 11:26:00 -0400
commite8d032d7542f47b78185aa40bb81ef932ee6226b (patch)
tree7ea7fdade24a69efd6dba82fc613da4c4331388b
parentb87fb6c476e3f9ab4a009e36fb6be1cf89ffc26f (diff)
net-libs/rohc: bump version
Signed-off-by: James Cloos <cloos@jhcloos.com>
-rw-r--r--net-libs/rohc/Manifest6
-rw-r--r--net-libs/rohc/rohc-1.5.2.ebuild78
2 files changed, 81 insertions, 3 deletions
diff --git a/net-libs/rohc/Manifest b/net-libs/rohc/Manifest
index 0907437..1970ee5 100644
--- a/net-libs/rohc/Manifest
+++ b/net-libs/rohc/Manifest
@@ -1,3 +1,3 @@
-DIST rohc-1.5.1.tar.bz2 694175 SHA256 d36dca6ad1ed1762012cae9c7e360704c85c3272300d48e46d61151a2c084766 WHIRLPOOL e293421c306271e810d5bd18a941505db9ba810c8c1f200d9a2b589f3fd3d83cfc53086ea5e57507ff963baecdcf93af5bf72977d0dad0560206a85017efd35c
-DIST rohc-doc-1.5.1.tar.bz2 6948496 SHA256 8838ee0e2df885c6034bc04d2284d0a5c6f1a853b18c7413ce2a85729f13d29f WHIRLPOOL fa5275ecd4fecc2608a0724598b695d4d6dcbea52c0ff50f5d850c6614cec73429f47209c31592db5470af5a09b39d4e2ccd3df38bdac95c753e20dcb5698663
-DIST rohc-tests-1.5.1.tar.bz2 40196580 SHA256 f35d1adf282d72ab761f4540e51ce358dbb3510da115fd1533649aa0cca0052d WHIRLPOOL ad1ad6a55dd09be97bb8023ac75a6cc3d2b143e76db4809cce3c8be74fcbe0141ffe25c21f48b33633b8fd5bc4eae1f2775c4c93e5dd4cd7a7d6fe8e1339cc47
+DIST rohc-1.5.2.tar.bz2 714273 SHA256 8c629b5a9f3f8022ca5219655d57978dcdbf5bf7c5ff2936d128b241d757b754 WHIRLPOOL 08c78fa2e31e35d099df8b410dd2b53d5bea5d25971697d7c4677df76ca1df41c203160d0893ed5a0d922e165be18d5bdae18f6a878140ec3d5cd13fca4a9907
+DIST rohc-doc-1.5.2.tar.bz2 6963762 SHA256 8cc849bf48e58c33b000d12a6e05014968b1ffed9190f90b899d1b62ba90ff67 WHIRLPOOL 0746bfddfc1bea069e8e46a831d78eb1e061140a5d069bfe818743044ffebeba105248dbffd423a1f5a772930bf3b042bf9714159523a459e92f85bb8001535a
+DIST rohc-tests-1.5.2.tar.bz2 40192165 SHA256 7ef24d1532be38b09ff8001094158b475c655df267db7df657c82b236fe02984 WHIRLPOOL 72bb05784f7fdfb998a193964d482c34591e7f2061dad4c77a1dff19fba04aa5cfa0fc7c3469a5af6f867f7add72d7a73971371599cb8097a4ee5d94300370fd
diff --git a/net-libs/rohc/rohc-1.5.2.ebuild b/net-libs/rohc/rohc-1.5.2.ebuild
new file mode 100644
index 0000000..94d3e41
--- /dev/null
+++ b/net-libs/rohc/rohc-1.5.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+DESCRIPTION="A free and efficient efficient library for ROHC compression"
+HOMEPAGE="http://launchpad.net/rohc"
+SRC_URI="https://launchpad.net/${PN}/${PN}-1.5.x/${PV}/+download/${P}.tar.bz2
+ test? ( https://launchpad.net/${PN}/${PN}-1.5.x/${PV}/+download/${PN}-tests-${PV}.tar.bz2 )
+ doc? ( https://launchpad.net/${PN}/${PN}-1.5.x/${PV}/+download/${PN}-doc-${PV}.tar.bz2 )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~arm ~amd64"
+IUSE="debug doc rtp-bit-type test"
+
+DEPEND="test? ( net-libs/libpcap )
+ doc? ( app-doc/doxygen[latex]
+ sci-visualization/gnuplot )"
+
+src_prepare() {
+
+ # the traffic captures for tests are in a separate archive
+ # this saves bandwidth if tests are disabled
+ if use test ; then
+ unpack ${PN}-tests-${PV}.tar.bz2 \
+ || die "failed to unpack network captures for tests"
+ fi
+}
+
+src_configure() {
+
+ local myconf
+
+ myconf="
+ $(use_enable rtp-bit-type)
+ $(use_enable test rohc-tests)"
+
+ # configure log level
+ if use debug ; then
+ myconf="${myconf} --enable-rohc-debug=3"
+ else
+ myconf="${myconf} --enable-rohc-debug=0"
+ fi
+
+ # configure the library
+ econf ${myconf} || die "failed to configure library"
+
+ # build the library
+ emake || die "failed to build library"
+
+ # build HTML documentation and perf graphs
+ if use doc ; then
+ emake doc || die "failed to generate HTML documentation"
+ emake measures || die "failed generate perf graphs"
+ fi
+}
+
+src_install() {
+
+ # install libraries but not useless *.la files
+ emake DESTDIR="${D}" install || die "failed to install library"
+ for lib in common comp decomp ; do
+ rm -f ${D}/usr/lib/librohc_${lib}.la
+ done
+
+ # install README/INSTALL... files
+ dodoc README INSTALL COPYING AUTHORS ChangeLog \
+ || die "failed to install README, INSTALL... files"
+
+ # install HTML documentation and perf graphs
+ if use doc ; then
+ dohtml -r doc/html/* || die "failed to install HTML documentation"
+ docinto graphs || die "failed to create dir for perf graphs"
+ dodoc measures/*/*.png || die "failed to install perf graphs"
+ fi
+}